Bug 622080 - [abrt] crash in radiotray-0.6-1.fc13: Notification.py:33:notify:GError: Unable to connect to server
Summary: [abrt] crash in radiotray-0.6-1.fc13: Notification.py:33:notify:GError: Unabl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radiotray
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7c9e17f7
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-07 05:12 UTC by Thomas Sievers
Modified: 2010-10-14 06:26 UTC (History)
2 users (show)

Fixed In Version: radiotray-0.6.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-14 06:25:32 UTC


Attachments (Terms of Use)
File: backtrace (887 bytes, text/plain)
2010-08-07 05:12 UTC, Thomas Sievers
no flags Details

Description Thomas Sievers 2010-08-07 05:12:42 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/radiotray
component: radiotray
executable: /usr/bin/radiotray
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: radiotray-0.6-1.fc13
reason: Notification.py:33:notify:GError: Unable to connect to server
release: Fedora release 13 (Goddard)

backtrace
-----
Notification.py:33:notify:GError: Unable to connect to server

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/radiotray/AudioPlayerGStreamer.py", line 110, in on_message
    self.mediator.notifyPlaying()
  File "/usr/lib/python2.6/site-packages/radiotray/StateMediator.py", line 101, in notifyPlaying
    self.notification.notify(C_("Notifies which radio is currently playing.", "Radio Playing"), self.currentRadio)
  File "/usr/lib/python2.6/site-packages/radiotray/Notification.py", line 33, in notify
    n.show()
GError: Unable to connect to server

Local variables in innermost frame:
message: 'Smooth Jazz'
title: 'Radio l\xc3\xa4uft'
pixbuf: <gtk.gdk.Pixbuf object at 0x8ff157c (GdkPixbuf at 0x8e45ee0)>
self: <radiotray.Notification.Notification instance at 0x8feb0cc>
n: <pynotify.Notification object at 0x8ff13ec (NotifyNotification at 0x8e22db0)>

How to reproduce
-----
1.playing radiotray
2.
3.

Comment 1 Thomas Sievers 2010-08-07 05:12:48 UTC
Created attachment 437302 [details]
File: backtrace

Comment 2 Boricua 2010-09-15 12:58:32 UTC
Package: radiotray-0.6-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start radiotray
2. Select a station
3. Radiotray chrashes


Comment
-----
This might have something to do with the lack of gstreamer plugins.

Comment 3 Fedora Update System 2010-09-28 23:54:52 UTC
radiotray-0.6.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/radiotray-0.6.1-1.fc13

Comment 4 Fedora Update System 2010-09-29 01:20:17 UTC
radiotray-0.6.1-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/radiotray-0.6.1-1.fc12

Comment 5 Fedora Update System 2010-09-30 10:30:06 UTC
radiotray-0.6.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update radiotray'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/radiotray-0.6.1-1.fc13

Comment 6 Fedora Update System 2010-10-14 06:25:27 UTC
radiotray-0.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-10-14 06:26:46 UTC
radiotray-0.6.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.